=== debian/changelog ===
xrootd (5.4.1-1) unstable; urgency=medium

  * Update to version 5.4.1
  * Drop patches accepted upstream:
    - 0001-Fix-compilation-when-char-is-unsigned.patch
    - 0001-Fix-compilation-on-GCC-4.8.patch
    - 0001-Add-missing-include.patch
  * Ignore -Warray-bounds warnings from stricter check in gcc 12

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 24 Feb 2022 13:49:50 +0100

xrootd (5.4.0-2) unstable; urgency=medium

  * Don't use unimplemented regex functions on EPEL 7.
  * Add missing include (GNU/Hurd)
  * Define ENODATA if not defined (kFreeBSD)
  * Link with libatomic on some 32-bit architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 14 Dec 2021 17:45:33 +0100

xrootd (5.4.0-1) unstable; urgency=medium

  * Update to version 5.4.0
  * Drop patch accepted upstream: 0001-Do-not-hardcode-error-numbers.patch
  * Fix build failure on platforms where char is unsigned
  * Fix build failure with older regex

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 11 Dec 2021 09:09:25 +0100

xrootd (5.3.4-1) unstable; urgency=medium

  * Update to version 5.3.4

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Nov 2021 14:05:12 +0100

xrootd (5.3.3-1) unstable; urgency=medium

  * Update to version 5.3.3
  * Drop patches accepted upstream:
    - 0001-Fix-compilation-failure-on-32-bit-architectures.patch
    - 0001-Fix-build-failure-on-platforms-where-char-is-unsigne.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Nov 2021 10:02:41 +0100

xrootd (5.3.2-1) unstable; urgency=medium

  * Update to version 5.3.2
  * Drop patches accepted upstream
  * Do not hardcode Linux error numbers
  * Fix build failure on platforms where char is unsigned
  * Use the OpenSSL 3 compatible code

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 02 Nov 2021 12:03:18 +0100

xrootd (5.3.1-4) unstable; urgency=medium

  * Try linking to libatomic on riscv64

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 05 Sep 2021 11:45:44 +0200

xrootd (5.3.1-3) unstable; urgency=medium

  * Expand the atomics test to test for char (8 bit) versions in
    addition to long long (64 bit) versions (better fix for riscv64)
  * Work around inconsistent type definitions on MIPS

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 05 Sep 2021 05:10:58 +0200

xrootd (5.3.1-2) unstable; urgency=medium

  * Re-upload source only
  * Fix compilation on some 32 bit architectures (Closes: #993611)
  * Link to libatomic when needed (riscv64)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 04 Sep 2021 09:32:33 +0200

xrootd (5.3.1-1) unstable; urgency=medium

  * Update to version 5.3.1
  * Add new binary packages:
    - xrootd-client-http-plugins
    - xrootd-scitokens-plugins
    - libxrdcephposix0
    - xrootd-ceph-plugins
  * Disable ceph dependent packages for architectures without java
  * Drop patches (accepted upstream or previously backported)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Aug 2021 22:03:58 +0200
